Allowed IPs
All operations require authentication.
Get web hosting network accessProduction
Returns whether OVHcloud web hostings can reach the service: enabled, disabled, or being changed.
Path parameters
Service name
Response
Webhosting network status
disableddisablingenabledenablingExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ webhostingNetwork \
-H "authorization: Bearer $OVH_TOKEN"{ "status": "disabled"}
Enable web hosting network accessProduction
Allows connections from OVHcloud web hostings to the service. Returns a task to follow the change.
Path parameters
Service name
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ webhostingNetwork \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}
Disable web hosting network accessProduction
Blocks connections from OVHcloud web hostings to the service. Returns a task to follow the change.
Path parameters
Service name
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ webhostingNetwork \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}
List allowed IPsProduction
Returns the IPs and IP blocks allowed to access the service.
Path parameters
Service name
Query parameters
Filter the value of ip property (contains or equals)
Filter the value of service property
Filter the value of sftp property
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ whitelist \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0/24"]
Add an allowed IPProduction
Allows an IP or IP block to access the service port, the SFTP port, or both. Returns a task to follow the change.
Path parameters
Service name
Request body (required)
The IP allowed to access your Web Cloud Database
Custom name for your allowed IP
Authorize this IP to access service port
Authorize this IP to access sftp port
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ whitelist \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}
Get an allowed IPProduction
Returns the name and status of the allowed IP, and whether it can access the service port and the SFTP port.
Path parameters
Ip
Service name
Response
Creation date of this allowed IP
The IP allowed to access your Web Cloud Database
The last update date of this allowed IP
Custom name for your allowed IP
Authorize this IP to access service port
Authorize this IP to access sftp port
Allowed IP status
createdcreatingdeletingupdatingThe id of the task working on this object
Example uses ip = 192.0.2.0/24, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ whitelist/ {ip} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "ip": "192.0.2.0/24", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "service": true, "sftp": true, "status": "created", "taskId": 0}
Update an allowed IPProduction
Updates the name of the allowed IP and its access to the service port and the SFTP port.
Path parameters
Ip
Service name
Request body (required)
Creation date of this allowed IP
The IP allowed to access your Web Cloud Database
The last update date of this allowed IP
Custom name for your allowed IP
Authorize this IP to access service port
Authorize this IP to access sftp port
Allowed IP status
createdcreatingdeletingupdatingThe id of the task working on this object
Response
Example uses ip = 192.0.2.0/24, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ whitelist/ {ip} \
-H "authorization: Bearer $OVH_TOKEN"Delete an allowed IPProduction
Removes the IP from the allowed list, so it can no longer access the service.
Path parameters
Ip
Service name
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses ip = 192.0.2.0/24, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ whitelist/ {ip} \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}